<svg:g *ngIf="display">
      <svg:circle *ngIf="node && node.shape==='circle'"
          class="node"
          [attr.fill]="node.color"
          cx="0"
          cy="0"
          [attr.r]="node.size"
          [attr.transform]="'translate(' + x + ',' + y + ')'">
      </svg:circle>
      <svg:rect *ngIf="node && node.shape==='rectangle'"
          class="node"
          [attr.fill]="node.color"
          [attr.width]="node.size.x"
          [attr.height]="node.size.y"
          [attr.rx] = 8
          [attr.ry] = 8
          [attr.transform]="'translate(' + x + ',' + y + ')'">
      </svg:rect>
      <svg:text
          class="node-name"
          dy = .25em
          [attr.transform]="'translate(' + node.x + ',' + node.y + ')'">
        {{node!.id}}
      </svg:text>
</svg:g>
